Subject: Re: bug#36937: 26.1; Sending mails doesn't set From: correctly

From: Stefan Monnier <[email-masked]>
Date: Tue, 06 Aug 2019 20:43:53 -0400

> In emacs-27, M-x mail is working just fine (i.e., the correct From:
> address is seen by postfix).  The problem only happens when using
> message-mode (either via Gnus or simply via M-x message-mail) to send
> the email.  Setting message-sendmail-f-is-evil back to nil fixes it for
> me too.  And setting it to t in emacs-26 reproduces the (to me) bad
> behaviour too.

Thank you for testing.  I've reverted this part of the change, so
message-sendmail-f-is-evil is always nil, as before.

        Stefan